## perl-depends 2010.0527+gita75167b

=== debian/changelog ===
perl-depends (2010.0527+gita75167b-1) unstable; urgency=low

  * New upstream release
  * debian/control
    - (Architecture): set from any to all (Closed: #583434).
  * debian/rules
    - Move to dh(1).

 -- Jari Aalto <jari.aalto@cante.net>  Thu, 27 May 2010 21:22:18 +0300

perl-depends (2010.0319+gita11c1f4-1) unstable; urgency=low

  * Initial release (Closes: #574439).

 -- Jari Aalto <jari.aalto@cante.net>  Fri, 19 Mar 2010 21:03:52 +0200
