=== debian/control ===
Source: perl-depends
Section: devel
Priority: optional
Maintainer: Jari Aalto <jari.aalto@cante.net>
Build-Depends: debhelper (>= 7.1)
Standards-Version: 3.8.4
Vcs-Browser: http://git.debian.org/?p=collab-maint/perl-depends.git
Vcs-Git: git://git.debian.org/git/collab-maint/perl-depends.git
Homepage: http://freshmeat.net/projects/perl-depends

Package: perl-depends
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}
Description: roughly find out module depends from a perl file
 Find out roughly the modules the program uses. This is based on the
 idea, that Perl evaluates the "use" commands at compile time and
 stores the loaded module information into the %INC variable. By
 examining the loaded modules and comparing them against the standard
 Perl modules, the extenal module dpendencies can be roughly estimated.
 .
 The depends information can be used to determine what external modules
 have to be installed before program can be used.
