## perl-depends 2011.0324+git74d587e

=== debian/changelog ===
perl-depends (2011.0324+git74d587e-1) unstable; urgency=low

  * New upstream release.
  * debian/compat
    - Update to 8
  * debian/control
    - (Build-Depends): use debhelper 8.
    - (Standards-Version): Update to 3.9.1.

 -- Jari Aalto <jari.aalto@cante.net>  Thu, 24 Mar 2011 17:19:26 +0200
