## perl-depends 2012.0701+gitb1fd535

=== debian/changelog ===
perl-depends (2012.0701+gitb1fd535-1) unstable; urgency=low

  * New upstream release.
    - Update manual page according to debian/description.
  * debian/compat
    - Update to 9.
  * debian/control
    - (Build-Depends): Update to debhelper 9.
    - (Description): Gix grammar. Patch thanks to Justin B Rye
      <jbr@edlug.org.uk> (Closes: #679733).
    - (Homepage): Update URL.
    - (Standards-Version): Update to 3.9.9.
  * debian/copyright
    - Update to format 1.0.

 -- Jari Aalto <jari.aalto@cante.net>  Sun, 01 Jul 2012 13:31:39 +0300
