=== debian/control ===
Source: perl-depends
Section: devel
Priority: optional
Maintainer: Jari Aalto <jari.aalto@cante.net>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.3
Vcs-Browser: http://git.debian.org/?p=collab-maint/perl-depends.git
Vcs-Git: git://git.debian.org/git/collab-maint/perl-depends.git
Homepage: http://freecode.com/projects/perl-depends

Package: perl-depends
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}
Description: rough indicator of Perl module dependencies
 perl-depends is a tool to show roughly what modules a program uses. Perl
 evaluates "use" commands at compile time, storing the information about
 loaded modules in the %INC variable. Comparing that list with the
 standard Perl modules gives an estimate of the external module
 dependencies.
 .
 The dependency information can be used to determine what external
 modules have to be installed before the program can be used.
