=== debian/watch ===
version=3
# https://savannah.nongnu.org/files/?group=perl-depends

# NOTE: This project is packaged directly from upstream Git. See
# copyright file for URL to project page.
