=== debian/changelog ===
perl-depends (2016.1029+git8f67695-1) unstable; urgency=medium

  * New upstream release (Closes: #784025).
  * debian/control
    - (Homepage): Update.
    - (Standards-Version): Update to 3.9.8.
    - (Vcs-*): Update to anonscm.debian.org.
  * debian/watch
    - Activate. Use Github tags.

 -- Jari Aalto <jari.aalto@cante.net>  Sat, 29 Oct 2016 13:22:37 +0300
