=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: Jari Aalto <jari.aalto@cante.net>
 Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.3
-Vcs-Browser: http://git.debian.org/?p=collab-maint/perl-depends.git
-Vcs-Git: git://git.debian.org/git/collab-maint/perl-depends.git
-Homepage: http://freecode.com/projects/perl-depends
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/perl-depends.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/perl-depends.git
+Homepage: https://github.com/jaalto/project--perl-depends
 
 Package: perl-depends
 Architecture: all
