=== debian/rules ===
#!/usr/bin/make -f

PACKAGE = perl-depends
DOCDIR  = debian/$(PACKAGE)/usr/share/doc/$(PACKAGE)/doc

override_dh_auto_clean:
	$(MAKE) distclean

override_dh_auto_install:
	$(MAKE) prefix=/usr \
		DESTDIR=debian/$(PACKAGE) \
		INSTALL_OBJS_DOC="" \
		DOCDIR=$(DOCDIR) \
		install
	# Copies of manual pages in various formats.
	rm -rf $(DOCDIR)

%:
	dh  $@

# End of file
