=== debian/watch ===
version=3
https://github.com/jaalto/project--perl-depends/tags .*/(.*)\.tar\.gz
